//
// Created by philipp on 20.01.18.
//

#include "../include/PlatoonProtocolLib/Protocol.h"
#include <cmath>

namespace platoonProtocol
{

Log defaultLog;
Log * currLog = &defaultLog;

Log & log()
{ return *currLog; }

void setLog(Log & log)
{ currLog = &log; }

bool operator==(const PlatoonConfig & lhs, const PlatoonConfig & rhs) noexcept
{
    return std::fabs(lhs.platoonSpeed - rhs.platoonSpeed) < PlatoonConfig::EPSILON &&
           std::fabs(lhs.innerPlatoonDistance - rhs.innerPlatoonDistance) < PlatoonConfig::EPSILON;
}

bool operator!=(const PlatoonConfig & lhs, const PlatoonConfig & rhs) noexcept
{
    return !(lhs == rhs);
}

}